{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2026-03-30T13:38:17Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase-dac716ccc980",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-7ddbc87d+HEAD-host-darwin-arm64-target-ios-43ed0bb9-ca47-56fe-b781-02c92c71a326",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "bf300ae274aad0d19a5cc8d89e27cad0c5b1a78c"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative-e70a0a52adb8",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-3a714efe+HEAD-host-darwin-arm64-target-ios-ce1a4071-cca3-5337-bb20-9345c69edefa",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "28c69448f5a932e3ed53ec34b42a3b85818f41a8"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtwebengine-chromium-pdf-2f3defe510a9",
            "spdxDocument": "https://qt.io/spdxdocs/qtwebengine-chromium-pdf-9d3164c+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "c1a306e34af5ea4e570476dc3f96d8091d26de6c"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        },
        {
            "extractedText": "The icons in this repository are herefore released into the Public Domain.\n",
            "licenseId": "LicenseRef-Tango-Icons-Public-Domain"
        }
    ],
    "name": "qtpdf-6.10.3",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtpdf-9d3164c+HEAD-host-darwin-arm64-target-ios-e37fa742-bafe-5a2b-8f6a-7b8dfd798f75",
    "packages": [
        {
            "SPDXID": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "builtDate": "2026-03-30T13:38:17Z",
            "comment": "Built by CMake 3.30.5 with Release;Debug configuration for iOS ()\nqtpdf was configured with:\n    qt-configure-module <sources>/qtpdf -- -DQT_PROTOBUF_WELL_KNOWN_TYPES_PROTO_DIR=/usr/local/include -DFFMPEG_DIR=/usr/local/ios/ffmpeg -DQT_DEPLOY_FFMPEG=TRUE -DFEATURE_webengine_precompiled_headers=OFF -DQT_INSTALL_CONFIG_INFO_FILES=ON -DQT_GENERATE_SBOM=ON -DQT_GENERATE_SOURCE_SBOM=ON -DQT_SBOM_REQUIRE_GENERATE_CYDX_V1_6=ON -DQT_SBOM_VERIFY_CYDX_V1_6=ON -DQT_SBOM_PYTHON_INTERP=/Users/qt/.pyenv/versions/3.9.7/bin/ -DQT_SBOM_PYTHON_APPS_PATH=/Users/qt/.local/bin -DQT_LINT_SOURCE_SBOM=ON -DQT_INTERNAL_SBOM_DEFAULT_CHECKS=ON -DQT_INTERNAL_SBOM_AUDIT=ON -DQT_INTERNAL_SBOM_AUDIT_NO_ERROR=ON -DQT_BUILD_TESTS=OFF -DCMAKE_AUTOGEN_VERBOSE=ON -DCMAKE_MESSAGE_LOG_LEVEL=STATUS -DCMAKE_C_COMPILER_LAUNCHER=sccache -DCMAKE_CXX_COMPILER_LAUNCHER=sccache\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf@9d3164c+HEAD",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtpdf",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "9d3164c+HEAD"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "comment": "\nCMake target name: QPdfPlugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@9d3164c?library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-QPdfPlugin@9d3164c?vcs_url=https://code.qt.io/qt/qtpdf.git@9d3164c&library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QPdfPlugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "a02853819730a27654bc5824ac29d2851a07e872"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "comment": "\nNote: This package was marked as not listing all of its consumed 3rd party dependencies.\nThus the licensing and copyright information might be incomplete.\nCMake target name: Pdf\nCMake exported target name: Qt6::Pdf\nContained in CMake package: Qt6Pdf\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@9d3164c?library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-Pdf@9d3164c?vcs_url=https://code.qt.io/qt/qtpdf.git@9d3164c&library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Pdf",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "e7ec7984f0655067b97ca6568be2cdbfe43a12f3"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "comment": "\nCMake target name: PdfWidgets\nCMake exported target name: Qt6::PdfWidgets\nContained in CMake package: Qt6PdfWidgets\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@9d3164c?library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfWidgets@9d3164c?vcs_url=https://code.qt.io/qt/qtpdf.git@9d3164c&library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfWidgets",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "7c1ab58535ddb0ede6c2d73a780c0e79f9e06aed"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "comment": "\nCMake target name: PdfQuick\nCMake exported target name: Qt6::PdfQuick\nContained in CMake package: Qt6PdfQuick\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@9d3164c?library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuick@9d3164c?vcs_url=https://code.qt.io/qt/qtpdf.git@9d3164c&library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuick",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "76dbd025573d2b5b84f0153c8734d4640fdf4edd"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "comment": "\nCMake target name: PdfQuickplugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@9d3164c951523dfe151cc3799b6a8945de666171",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@9d3164c?library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuickplugin@9d3164c?vcs_url=https://code.qt.io/qt/qtpdf.git@9d3164c&library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.10.3:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuickplugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "758be96e5136e84c6bff1511e7d6714fb52cd14c"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.10.3"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-CMake-2f3defe510a9",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMake\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "3.30.5"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-2f3defe510a9",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMakeGenerator\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake generator Ninja Multi-Config",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "1.10.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-2f3defe510a9",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCompiler\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Compiler AppleClang",
            "primaryPackagePurpose": "OTHER",
            "summary": "The compiler as identified by CMake, running on 'Darwin' (arm64)",
            "supplier": "Person: Anonymous",
            "versionInfo": "15.0.0.15000309"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-build-tool-Linker-2f3defe510a9",
            "comment": "\nCMake target name: qtpdfSbomBuildToolLinker\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Linker",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "unknown"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0aba706ee93bb0f5314e1f77a3ded8200001b5fe"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "53eb77e3267cf9dc1bca01678f24cd93c1af0a1b"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "4ecd038b8cd2df746b2d231d49d0c7fd981d8749"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "0e4c843f631859ab000e2da7c88bba70546a8595"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "68dd9d904c6be6873a88523d4e1d0298c1a9b54b"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "f9be732c1cdbab8a16b9f6d0e0c17ff0727fd11a"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "6d643ce8f6011a865e0f608625028251b9429058"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "95c67f30b258edffae3cbee52f2a3a3492996f75"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "c8f6720c823ad80afe8e443c2537bb0299a558ff"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-2f3defe510a9",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "e2929f58a9201c8fdc6980b0859c97e20df61773"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-CMake-2f3defe510a9",
            "comment": "SPDXRef-Package-qtpdf-2f3defe510a9 is built using CMake version 3.30.5",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-2f3defe510a9",
            "comment": "SPDXRef-Package-qtpdf-2f3defe510a9 is built using generator CMAKE_GENERATOR: 'Ninja Multi-Config' and CMAKE_MAKE_PROGRAM: 'ninja' version '1.10.2'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-2f3defe510a9",
            "comment": "SPDXRef-Package-qtpdf-2f3defe510a9 is built by compiler: 'AppleClang' version: '15.0.0.15000309' frontend variant: 'GNU'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-build-tool-Linker-2f3defe510a9",
            "comment": "SPDXRef-Package-qtpdf-2f3defe510a9 is built by linker '' version '' frontend variant: ''",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Core-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Network-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Gui-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Widgets-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Core-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Gui-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-e70a0a52adb8:SPDXRef-Package-qtdeclarative-qt-module-Quick-e70a0a52adb8",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Core-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-Gui-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-e70a0a52adb8:SPDXRef-Package-qtdeclarative-qt-module-Qml-e70a0a52adb8",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-2f3defe510a9",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal/PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtbase-dac716ccc980:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-dac716ccc980",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-e70a0a52adb8:SPDXRef-Package-qtdeclarative-qt-module-Qml-e70a0a52adb8",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-2f3defe510a9",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-2f3defe510a9",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-CMake-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-CMake-generator-Ninja-Multi-Config-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-Compiler-AppleClang-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-build-tool-Linker-2f3defe510a9",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-2f3defe510a9",
            "relatedSpdxElement": "DocumentRef-qtwebengine-chromium-pdf-2f3defe510a9:SPDXRef-QtWebEngine-Chromium-Pdf-Internal-Components",
            "relationshipType": "DEPENDS_ON"
        }
    ]
}